%define		pkgname libdbi
%define		soname	1
%define		version 0.8.4
%define		release 1

Name:		%{pkgname}%{soname}
Version:	%{version}
Release:	4.5
Summary:	Database Independent Abstraction Layer for C
License:	GPLv2
Url:		http://libdbi.sourceforge.net/
Group:		Development/Libraries
Source0:	%{pkgname}-%{version}.tar.bz2
Provides:	%{pkgname}
Obsoletes:	%{pkgname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	openjade sgmltool texlive docbook-dsssl-stylesheets

%description
libdbi implements a database-independent abstraction layer in C, similar to the DBI/DBD layer in Perl. Writing one generic set of code, programmers can leverage the power of multiple databases and multiple simultaneous database connections by using this framework.

In order to utilize the libdbi framework, you need to install drivers for a particular type of database. The drivers officially supported by libdbi are split off into the libdbi-drivers project. The current version of libdbi (0.8.3) is supposed to work with any 0.8.x release of libdbi-drivers. Currently the following database engines are supported:

    * Firebird/Interbase
    * FreeTDS (provides access to MS SQL Server and Sybase)
    * MySQL
    * PostgreSQL
    * SQLite/SQLite3

The following database engines are in preparation:

    * Ingres
    * mSQL
    * Oracle


%package -n %{pkgname}-devel
Summary:	Devel files for libdbi
Group:		Development/Libraries
Requires:	%{pkgname}%{soname} = %{version}-%{release}

%description -n %{pkgname}-devel
Header files and development libraries for libdbi

%prep
%setup -n %{pkgname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %configure
%{__make}

%install
%{__make} DESTDIR=%{buildroot} install
mkdir guides
mv %{buildroot}/usr/share/doc/%{pkgname}-%{version}/driver-guide* guides/
mv %{buildroot}/usr/share/doc/%{pkgname}-%{version}/programmers-guide* guides/
strip %{buildroot}%{_libdir}/%{pkgname}.so.1.0.0

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%doc guides/
%{_libdir}/%{pkgname}.so.1.0.0

%files -n %{pkgname}-devel
%defattr(-,root,root)
%dir %{_includedir}/dbi
%{_includedir}/dbi/dbd.h
%{_includedir}/dbi/dbi-dev.h
%{_includedir}/dbi/dbi.h
%{_libdir}/%{pkgname}.a
%{_libdir}/%{pkgname}.la
%{_libdir}/%{pkgname}.so
%{_libdir}/%{pkgname}.so.1

%changelog
* Sun Jan 30 2011 cs@linux-administrator.com
- update to release 0.8.4
* Sun Jul 19 2009 cs@linux-administrator.com
- initial build
